Custody providers
Bulk Upload Custody Wallets
Bulk-creates custody wallets from uploaded rows; Anchorage rows are matched against live Anchorage vault wallets first.
POSThttps://api.toku.com/tga/bulk-upload-custody-wallets
Not available to API keys yet. It will need wallets:write.
curl --request POST \
--url 'https://api.toku.com/tga/bulk-upload-custody-wallets' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"wallets": [
{
"walletAddress": "string",
"network": "ETHEREUM",
"custodyProvider": "SAFE",
"walletName": "string",
"anchorageVaultId": "string"
}
]
}'200 response
{
"success": true,
"message": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
walletsobject[]requiredAllowed: at least 1 items
Show child attributes
walletAddressstringrequiredAllowed: at least 1 characters
networkstringrequiredAvailable options: ETHEREUM, ETHEREUM_SEPOLIA, SOLANA, POLYGON, ZKSYNC, BASE, OPTIMISM, SCROLL, BNB_SMART_CHAIN, SHAPE, KATANA, RITUAL, KAVA, OSMOSIS, FILECOIN
custodyProviderstringrequiredAvailable options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO
walletNamestringanchorageVaultIdstringResponse
200Successful response
successbooleanrequiredmessagestring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits